<template>
    <header class="header">
        <PageTitle />
        <LanguageSelection />
        <Button :onClick="onMenuToggle">Open Menu</Button>
    </header>
</template>

<script>
import PageTitle         from '~/components/PageTitle/PageTitle'
import LanguageSelection from '~/components/LanguageSelection/LanguageSelection'
import Button            from '~/components/Button/Button'
import { menu }          from '~/mixins/menu'

export default {
    mixins: [menu],
    components: {
        PageTitle,
        LanguageSelection,
        Button
    }
}
</script>

<style>
.header {
    display: grid;
    grid-template-columns: auto auto auto;
}
</style>
